Bug 1538462 - RFE Please Update PySerial (python-serial) to 3.4, dependent software warns
Summary: RFE Please Update PySerial (python-serial) to 3.4, dependent software warns
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pyserial
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul P Komkoff Jr
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-25 07:04 UTC by Paul DeStefano
Modified: 2018-11-30 17:32 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 17:32:17 UTC


Attachments (Terms of Use)
proposed RPM spec file for pyserial 3.4 (7.17 KB, text/x-rpm-spec)
2018-10-16 18:34 UTC, Eric Smith
no flags Details

Description Paul DeStefano 2018-01-25 07:04:13 UTC
Description of problem:
Some software I need to use reports "PySerial out of date...".

Version-Release number of selected component (if applicable):
python3-pyserial-3.1.1-4.fc27

How reproducible:
Only when using dependent software.  Is only a warning.  I don't know what functionality is missing in 3.1 that this software wants.

Comment 1 Miro Hrončok 2018-09-13 13:33:16 UTC
Please?

Comment 2 Eric Smith 2018-10-16 18:34:13 UTC
Created attachment 1494489 [details]
proposed RPM spec file for pyserial 3.4

pyserial 3.1.x is too old for use with various third-party (non-Fedora) software also. I have updated the spec file, and successfully built for f28 locally, and f29 and rawhide via koji.

Comment 3 Miro Hrončok 2018-10-16 18:36:15 UTC
If you send a PR at https://src.fedoraproject.org/rpms/pyserial I can merge it.

Comment 4 Ben Cotton 2018-11-27 14:00:44 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora Update System 2018-11-27 15:19:39 UTC
pyserial-3.4-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5b038eb782

Comment 6 Fedora Update System 2018-11-27 15:19:46 UTC
pyserial-3.4-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c70813e908

Comment 7 Fedora Update System 2018-11-27 15:19:52 UTC
pyserial-3.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-62528b98c5

Comment 8 Fedora Update System 2018-11-28 03:47:35 UTC
pyserial-3.4-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c70813e908

Comment 9 Fedora Update System 2018-11-28 04:51:40 UTC
pyserial-3.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5b038eb782

Comment 10 Fedora Update System 2018-11-28 05:16:50 UTC
pyserial-3.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-62528b98c5

Comment 11 Ben Cotton 2018-11-30 17:32:17 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.